All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.visuals.remotefileselector
Class RemoteFilePathCellRenderer

    com.sas.swing.visuals.remotefileselector.RemoteFilePathCellRenderer

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, javax.swing.SwingConstants, javax.swing.table.TableCellRenderer

    public class RemoteFilePathCellRenderer

implements javax.swing.table.TableCellRenderer

RemoteFilePathCellRenderer formats the path information of the files.

Since:
  3.0
See Also:
  Serialized Form

Field Summary
`static RemoteFilePathCellRenderer` | `defaultInstance` Provides a default instance of the class

Constructor Summary
`RemoteFilePathCellRenderer()`

Method Summary
`java.awt.Component` | `getTableCellRendererComponent(javax.swing.JTable table, java.lang.Object value, boolean isSelected, boolean cellHasFocus, int row, int column)` Renders the value to the appropriate string value.

Field Detail

### defaultInstance

    public static final RemoteFilePathCellRenderer defaultInstance

  Provides a default instance of the class

Constructor Detail

### RemoteFilePathCellRenderer

    public RemoteFilePathCellRenderer()

Method Detail

### getTableCellRendererComponent

    public java.awt.Component getTableCellRendererComponent(javax.swing.JTable table,
                                                            java.lang.Object value,
                                                            boolean isSelected,
                                                            boolean cellHasFocus,
                                                            int row,
                                                            int column)

  Renders the value to the appropriate string value.

  Specified by:
    `getTableCellRendererComponent` in interface `javax.swing.table.TableCellRenderer`
  Parameters:
    `table` - the object displaying the values
    `value` - the item to be formatted
    `isSelected` - determines if the item is selected
    `cellHasFocus` - determines if the item has focus
    `row` - provides the table row of the item
    `column` - provides the table column of the item
  Returns:
    the formatted value

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.